#!/usr/bin/env python3
#
# GlobalChem - Constituents Of Cannabis Sativa
#
# -----------------------------------

class ConstituentsOfCannabisSativa(object):

    def __init__(self):

        self.name = 'constituents_of_cannabis_sativa'

    @staticmethod
    def get_smiles():

        smiles = {
            'cannabidiorcol cannabidiol c1': 'CC1=CC(C(CC1)C(=C)C)C2=C(C=C(C=C2O)C)O',
            'cannabidiol': 'CCCCCC1=CC(=C(C(=C1)O)C2C=C(CCC2C(=C)C)C)O',
            'cannabidiol c4 cannabidibutol': 'CCCCC1=CC(=C(C(=C1)O)C2C=C(CCC2C(=C)C)C)O',
            'cannabidiolic acid': 'CCCCCC1=CC(=C(C(=C1C(=O)O)O)C2C=C(CCC2C(=C)C)C)O',
            'cannabidiol monomethylether': 'CCCCCC1=CC(=C(C(=C1)OC)C2C=C(CCC2C(=C)C)C)O',
            'cannabidivarin': 'CCCC1=CC(=C(C(=C1)O)C2C=C(CCC2C(=C)C)C)O',
            'cannabidivarinic acid': 'CCCC1=CC(=C(C(=C1C(=O)O)O)C2C=C(CCC2C(=C)C)C)O',
            '10-oxo-delta-6a-tetrahydrocannabinol': 'CCCCCC1=CC(=C2C(=C1)OC(C3=C2C(=O)C(CC3)C)(C)C)O',
            'delta-8-tetrahydrocannabinolic acid': 'CCCCCC1=CC2=C(C3CC(=CCC3C(O2)(C)C)C)C(=C1C(=O)O)O',
            'delta-8-tetrahydrocannabinol': 'CCCCCC1=CC(=C2C3CC(=CCC3C(OC2=C1)(C)C)C)O',
            'hexahydrocannobinol': 'CCCCCC1=CC(=C2C3CC(CCC3C(OC2=C1)(C)C)C)O',
            'tetrahydrocannabinol': 'CCCCCC1=CC(=C2C3C=C(CCC3C(OC2=C1)(C)C)C)O',
            'delta-9-tetrahydrocannabinol c4': 'CCCCC1=CC(=C2C3C=C(CCC3C(OC2=C1)(C)C)C)O',
            'delta-9-tetrahydrocannabinolic acid a': 'CCCCCC1=CC2=C(C3C=C(CCC3C(O2)(C)C)C)C(=C1C(=O)O)O',
            'delta-9-tetrahydrocannabinolic acid b': 'CCCCCC1=CC(=C2C3C=C(CCC3C(OC2=C1C(=O)O)(C)C)C)O',
            'delta-9-tetrahydrocannabiorcolic acid': 'CC1=CC2=C(C3C=C(CCC3C(O2)(C)C)C)C(=C1C(=O)O)O',
            'delta-9-tetrahydrocannabinolic acid c4': 'CCCCC1=CC2=C(C3C=C(CCC3C(O2)(C)C)C)C(=C1C(=O)O)O',
            'delta-9-tetrahydrocannabiorcol': 'CC1=CC(=C2C3C=C(CCC3C(OC2=C1)(C)C)C)O',
            'delta-9-tetrahydrocannabivarin ': 'CCCC1=CC(=C2C3C=C(CCC3C(OC2=C1)(C)C)C)O',
            'delta-9-tetrahydrocannabivarinic acid': 'CCCC1=CC2=C(C3C=C(CCC3C(O2)(C)C)C)C(=C1C(=O)O)O',
            'trihydroxy-delta-9-tetrahydrocannabinol': 'CCCCCC1=CC(=C2C3(O)C=C(CC(O)C3(O)C(OC2=C1)(C)C)C)O',
            'cannabicyclolic acid': 'CCCCCC1=CC2=C(C3C4C(C3(C)C)CCC4(O2)C)C(=C1C(=O)O)O',
            'cannabicyclol': 'CCCCCC1=CC(=C2C3C4C(C3(C)C)CCC4(OC2=C1)C)O',
            'cannabicyclovarin': 'CCCC1=CC(=C2C3C4C(C3(C)C)CCC4(OC2=C1)C)O',
            'cannabichromenic acid': 'CCCCCC1=CC2=C(C=CC(O2)(C)CCC=C(C)C)C(=C1C(=O)O)O',
            'cannabichromene': 'CCCCCC1=CC(=C2C=CC(OC2=C1)(C)CCC=C(C)C)O',
            'cannabichromevarin': 'CCCC1=CC(=C2C=CC(OC2=C1)(C)CCC=C(C)C)O',
            'cannabichromevarinic acid': 'CCCC1=CC(=C2C=CC(OC2=C1)(C)CCC=C(C)C)O',
            'cannabielsoic acid a': 'CCCCCC1=CC2=C(C3C(CCC(C3O2)(C)O)C(=C)C)C(=C1C(=O)O)O',
            'cannabielsoic acid b': 'CCCCCC1=CC(=C2C3C(CCC(C3OC2=C1C(=O)O)(C)O)C(=C)C)O',
            'cannabielsoin': 'CCCCCC1=CC(=C2C3C(CCC(C3OC2=C1)(C)O)C(=C)C)O',
            'cannabinolic acid a': 'CCCCCC1=CC2=C(C3=C(C=CC(=C3)C)C(O2)(C)C)C(=C1C(=O)O)O',
            'cannabinol': 'CCCCCC1=CC(=C2C(=C1)OC(C3=C2C=C(C=C3)C)(C)C)O',
            'cannabinol monomethylether': 'CCCCCC1=CC2=C(C(=C1)OC)C3=C(C=CC(=C3)C)C(O2)(C)C',
            'cannabivarin': 'CCCC1=CC(=C2C(=C1)OC(C3=C2C=C(C=C3)C)(C)C)O',
            'cannabiorcol cannabinol c1': 'CC1=CC2=C(C=C1)C(OC3=CC(=CC(=C32)O)C)(C)C',
            'cannabinol c2': 'CCC1=CC2=C(C=C1)C(OC3=CC(=CC(=C32)O)C)(C)C',
            'cannabinol c4': 'CCCCC1=CC2=C(C=C1)C(OC3=CC(=CC(=C32)O)C)(C)C',
            'cannabinodiol': 'CCCCCC1=CC(=C(C(=C1)O)C2=C(C=CC(=C2)C)C(=C)C)O',
            'cannabinodivarin': 'CCCC1=CC(=C(C(=C1)O)C2=C(C=CC(=C2)C)C(=C)C)O',
            'cannabitriol': 'CCCCCC1=CC(=C2C(=C1)OC(C3=C2C(C(CC3)(C)O)O)(C)C)O',
            'cannabitriovarin': 'CCCC1=CC(=C2C(=C1)OC(C3=C2C(C(CC3)(C)O)O)(C)C)O',
            '9,10-dihydroxy-delta-6a(10a)-tetrahydrocannabinol': 'CCCCCC1=CC(O)=C2C(OC(C)(C)C3=C2C(O)C(C)(O)CC3)=C1',
            '10-ethoxy-9-hydroxy-delta-6a(10a)-tetrahydrocannabinol': 'CCCCCC1=CC(O)=C2C(OC(C)(C)C3=C2C(OCC)C(C)(O)CC3)=C1',
            '8,9-dihydroxy-delta-6a(10a)-tetrahydrocannabinol': 'CCCCCC1=CC(O)=C2C(OC(C)(C)C3=C2CC(C)(O)C(O)C3)=C1',
            'cannabidiolic acid ': 'CCCCCC1=CC(=C2C(=C1)OC(C3=C2C(C(C(C3)OC(=O)C4=C(C(=C(C=C4CCCCC)O)C5C=C(CCC5C(=C)C)C)O)C)O)(C)C)O',
            'dehydrocannabifuran': 'CCCCCC1=CC(=C2C(=C1)OC3=C(C=CC(=C23)C(=C)C)C)O',
            'cannabifuran': 'CCCCCC1=CC(=C2C(=C1)OC3=C(C=CC(=C23)C(C)C)C)O',
            'cannabichromanon': 'CCCCCC1=CC(=C2C(=C1)OC(C(C2=O)CCC(=O)C)(C)C)O',
            'cannabicitran': 'CCCCCC1=CC2=C3C4CC(CCC4C(O2)(C)C)(OC3=C1)C',
            '10-oxo-delta-6a(10a)-tetrahydrocannabinol': 'CCCCCC1=CC(O)=C2C(OC(C)(C)C3=C2C(=O)C(C)CC3)=C1',
            '3,4,5,6-tetrahydro-7-hydroxy-a,a,2-trimethyl-9-n-propyl-2,6-methano-2h-1-benzoxocin-5-methanol': 'CCCC1=CC(=C2C3CC(CCC3C(C)(C)O)(OC2=C1)C)O',
            '6a,9,10,10a-9,10-dihydroxyhexahydro-cannabinol_cannabiripsol': 'CCCCCC1=CC(=C2C3C(CCC(C3O)(C)O)C(OC2=C1)(C)C)O',
            'cannabigerol': r'CCCCCC1=CC(=C(C(=C1)O)C/C=C(\C)/CCC=C(C)C)O',
            'cannabigerolic acid': r'CCCCCC1=CC(=C(C(=C1C(=O)O)O)C/C=C(\C)/CCC=C(C)C)O',
            'cannabigerolic acid monomethylether': r'CCCCCC1=CC(=C(C(=C1C(=O)O)O)C/C=C(\C)/CCC=C(C)C)OC',
            'cannabigerol monomethylester': r'CCCCCC1=CC(=C(C(=C1)O)C/C=C(\C)/CCC=C(C)C)OC',
            'cannabigerovarin': r'CCCC1=CC(=C(C(=C1)O)C/C=C(\C)/CCC=C(C)C)O',
            'cannabigerovarinic acid': r'CCCC1=CC(=C(C(=C1C(=O)O)O)C/C=C(\C)/CCC=C(C)C)O',
            'anandamide': 'CCCCCC=CCC=CCC=CCC=CCCCC(=O)NCCO',
            '2-arachidonoylglycerol': 'CCCCCC=CCC=CCC=CCC=CCCCC(=O)OC(CO)CO',
            'cannabiglendol': 'CCCC1=CC(=C2C(=C1)OC3C(CCC(C23)C(O)(C)C)C)O',
        }

        return smiles

    @staticmethod
    def get_smarts():

        smarts = {
            'cannabidiorcol cannabidiol c1': '[#6]-[#6]1=[#6]-[#6](-[#6](-[#6]-[#6]-1)-[#6](=[#6])-[#6])-[#6]1:[#6](:[#6]:[#6](:[#6]:[#6]:1-[#8])-[#6])-[#8]',
            'cannabidiol cbd': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6](:[#6](:[#6]:1)-[#8])-[#6]1-[#6]=[#6](-[#6]-[#6]-[#6]-1-[#6](=[#6])-[#6])-[#6])-[#8]',
            'cannabidiol c4 cannabidibutol': '[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6](:[#6](:[#6]:1)-[#8])-[#6]1-[#6]=[#6](-[#6]-[#6]-[#6]-1-[#6](=[#6])-[#6])-[#6])-[#8]',
            'cannabidiolic acid': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6](:[#6](:[#6]:1-[#6](=[#8])-[#8])-[#8])-[#6]1-[#6]=[#6](-[#6]-[#6]-[#6]-1-[#6](=[#6])-[#6])-[#6])-[#8]',
            'cannabidiol monomethylether': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6](:[#6](:[#6]:1)-[#8]-[#6])-[#6]1-[#6]=[#6](-[#6]-[#6]-[#6]-1-[#6](=[#6])-[#6])-[#6])-[#8]',
            'cannabidivarin': '[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6](:[#6](:[#6]:1)-[#8])-[#6]1-[#6]=[#6](-[#6]-[#6]-[#6]-1-[#6](=[#6])-[#6])-[#6])-[#8]',
            'cannabidivarinic acid': '[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6](:[#6](:[#6]:1-[#6](=[#8])-[#8])-[#8])-[#6]1-[#6]=[#6](-[#6]-[#6]-[#6]-1-[#6](=[#6])-[#6])-[#6])-[#8]',
            '10-oxo-delta-6a-tetrahydrocannabinol': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2:[#6](:[#6]:1)-[#8]-[#6](-[#6]1=[#6]-2-[#6](=[#8])-[#6](-[#6]-[#6]-1)-[#6])(-[#6])-[#6])-[#8]',
            'delta-8-tetrahydrocannabinolic acid': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6]2:[#6](-[#6]3-[#6]-[#6](=[#6]-[#6]-[#6]-3-[#6](-[#8]-2)(-[#6])-[#6])-[#6]):[#6](:[#6]:1-[#6](=[#8])-[#8])-[#8]',
            'delta-8-tetrahydrocannabinol': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2-[#6]3-[#6]-[#6](=[#6]-[#6]-[#6]-3-[#6](-[#8]-[#6]:2:[#6]:1)(-[#6])-[#6])-[#6])-[#8]',
            'hexahydrocannobinol': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2-[#6]3-[#6]-[#6](-[#6]-[#6]-[#6]-3-[#6](-[#8]-[#6]:2:[#6]:1)(-[#6])-[#6])-[#6])-[#8]',
            'tetrahydrocannabinol': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2-[#6]3-[#6]=[#6](-[#6]-[#6]-[#6]-3-[#6](-[#8]-[#6]:2:[#6]:1)(-[#6])-[#6])-[#6])-[#8]',
            'delta-9-tetrahydrocannabinol c4': '[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2-[#6]3-[#6]=[#6](-[#6]-[#6]-[#6]-3-[#6](-[#8]-[#6]:2:[#6]:1)(-[#6])-[#6])-[#6])-[#8]',
            'delta-9-tetrahydrocannabinolic acid a': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6]2:[#6](-[#6]3-[#6]=[#6](-[#6]-[#6]-[#6]-3-[#6](-[#8]-2)(-[#6])-[#6])-[#6]):[#6](:[#6]:1-[#6](=[#8])-[#8])-[#8]',
            'delta-9-tetrahydrocannabinolic acid b': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2-[#6]3-[#6]=[#6](-[#6]-[#6]-[#6]-3-[#6](-[#8]-[#6]:2:[#6]:1-[#6](=[#8])-[#8])(-[#6])-[#6])-[#6])-[#8]',
            'delta-9-tetrahydrocannabiorcolic acid': '[#6]-[#6]1:[#6]:[#6]2:[#6](-[#6]3-[#6]=[#6](-[#6]-[#6]-[#6]-3-[#6](-[#8]-2)(-[#6])-[#6])-[#6]):[#6](:[#6]:1-[#6](=[#8])-[#8])-[#8]',
            'delta-9-tetrahydrocannabinolic acid c4': '[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6]2:[#6](-[#6]3-[#6]=[#6](-[#6]-[#6]-[#6]-3-[#6](-[#8]-2)(-[#6])-[#6])-[#6]):[#6](:[#6]:1-[#6](=[#8])-[#8])-[#8]',
            'delta-9-tetrahydrocannabiorcol': '[#6]-[#6]1:[#6]:[#6](:[#6]2-[#6]3-[#6]=[#6](-[#6]-[#6]-[#6]-3-[#6](-[#8]-[#6]:2:[#6]:1)(-[#6])-[#6])-[#6])-[#8]',
            'delta-9-tetrahydrocannabivarin ': '[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2-[#6]3-[#6]=[#6](-[#6]-[#6]-[#6]-3-[#6](-[#8]-[#6]:2:[#6]:1)(-[#6])-[#6])-[#6])-[#8]',
            'delta-9-tetrahydrocannabivarinic acid': '[#6]-[#6]-[#6]-[#6]1:[#6]:[#6]2:[#6](-[#6]3-[#6]=[#6](-[#6]-[#6]-[#6]-3-[#6](-[#8]-2)(-[#6])-[#6])-[#6]):[#6](:[#6]:1-[#6](=[#8])-[#8])-[#8]',
            'trihydroxy-delta-9-tetrahydrocannabinol': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2-[#6]3(-[#8])-[#6]=[#6](-[#6]-[#6](-[#8])-[#6]-3(-[#8])-[#6](-[#8]-[#6]:2:[#6]:1)(-[#6])-[#6])-[#6])-[#8]',
            'cannabicyclolic acid': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6]2:[#6](-[#6]3-[#6]4-[#6](-[#6]-3(-[#6])-[#6])-[#6]-[#6]-[#6]-4(-[#8]-2)-[#6]):[#6](:[#6]:1-[#6](=[#8])-[#8])-[#8]',
            'cannabicyclol': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2-[#6]3-[#6]4-[#6](-[#6]-3(-[#6])-[#6])-[#6]-[#6]-[#6]-4(-[#8]-[#6]:2:[#6]:1)-[#6])-[#8]',
            'cannabicyclovarin': '[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2-[#6]3-[#6]4-[#6](-[#6]-3(-[#6])-[#6])-[#6]-[#6]-[#6]-4(-[#8]-[#6]:2:[#6]:1)-[#6])-[#8]',
            'cannabichromenic acid': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6]2:[#6](-[#6]=[#6]-[#6](-[#8]-2)(-[#6])-[#6]-[#6]-[#6]=[#6](-[#6])-[#6]):[#6](:[#6]:1-[#6](=[#8])-[#8])-[#8]',
            'cannabichromene': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2-[#6]=[#6]-[#6](-[#8]-[#6]:2:[#6]:1)(-[#6])-[#6]-[#6]-[#6]=[#6](-[#6])-[#6])-[#8]',
            'cannabichromevarin': '[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2-[#6]=[#6]-[#6](-[#8]-[#6]:2:[#6]:1)(-[#6])-[#6]-[#6]-[#6]=[#6](-[#6])-[#6])-[#8]',
            'cannabichromevarinic acid': '[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2-[#6]=[#6]-[#6](-[#8]-[#6]:2:[#6]:1)(-[#6])-[#6]-[#6]-[#6]=[#6](-[#6])-[#6])-[#8]',
            'cannabielsoic acid a': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6]2:[#6](-[#6]3-[#6](-[#6]-[#6]-[#6](-[#6]-3-[#8]-2)(-[#6])-[#8])-[#6](=[#6])-[#6]):[#6](:[#6]:1-[#6](=[#8])-[#8])-[#8]',
            'cannabielsoic acid b': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2-[#6]3-[#6](-[#6]-[#6]-[#6](-[#6]-3-[#8]-[#6]:2:[#6]:1-[#6](=[#8])-[#8])(-[#6])-[#8])-[#6](=[#6])-[#6])-[#8]',
            'cannabielsoin': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2-[#6]3-[#6](-[#6]-[#6]-[#6](-[#6]-3-[#8]-[#6]:2:[#6]:1)(-[#6])-[#8])-[#6](=[#6])-[#6])-[#8]',
            'cannabinolic acid a': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6]2:[#6](-[#6]3:[#6](:[#6]:[#6]:[#6](:[#6]:3)-[#6])-[#6](-[#8]-2)(-[#6])-[#6]):[#6](:[#6]:1-[#6](=[#8])-[#8])-[#8]',
            'cannabinol': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2:[#6](:[#6]:1)-[#8]-[#6](-[#6]1:[#6]-2:[#6]:[#6](:[#6]:[#6]:1)-[#6])(-[#6])-[#6])-[#8]',
            'cannabinol monomethylether': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6]2:[#6](:[#6](:[#6]:1)-[#8]-[#6])-[#6]1:[#6](:[#6]:[#6]:[#6](:[#6]:1)-[#6])-[#6](-[#8]-2)(-[#6])-[#6]',
            'cannabivarin': '[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2:[#6](:[#6]:1)-[#8]-[#6](-[#6]1:[#6]-2:[#6]:[#6](:[#6]:[#6]:1)-[#6])(-[#6])-[#6])-[#8]',
            'cannabiorcol_cannabinol c1': '[#6]-[#6]1:[#6]:[#6]2:[#6](:[#6]:[#6]:1)-[#6](-[#8]-[#6]1:[#6]:[#6](:[#6]:[#6](:[#6]:1-2)-[#8])-[#6])(-[#6])-[#6]',
            'cannabinol c2': '[#6]-[#6]-[#6]1:[#6]:[#6]2:[#6](:[#6]:[#6]:1)-[#6](-[#8]-[#6]1:[#6]:[#6](:[#6]:[#6](:[#6]:1-2)-[#8])-[#6])(-[#6])-[#6]',
            'cannabinol c4': '[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6]2:[#6](:[#6]:[#6]:1)-[#6](-[#8]-[#6]1:[#6]:[#6](:[#6]:[#6](:[#6]:1-2)-[#8])-[#6])(-[#6])-[#6]',
            'cannabinodiol': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6](:[#6](:[#6]:1)-[#8])-[#6]1:[#6](:[#6]:[#6]:[#6](:[#6]:1)-[#6])-[#6](=[#6])-[#6])-[#8]',
            'cannabinodivarin': '[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6](:[#6](:[#6]:1)-[#8])-[#6]1:[#6](:[#6]:[#6]:[#6](:[#6]:1)-[#6])-[#6](=[#6])-[#6])-[#8]',
            'cannabitriol': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2:[#6](:[#6]:1)-[#8]-[#6](-[#6]1=[#6]-2-[#6](-[#6](-[#6]-[#6]-1)(-[#6])-[#8])-[#8])(-[#6])-[#6])-[#8]',
            'cannabitriovarin': '[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2:[#6](:[#6]:1)-[#8]-[#6](-[#6]1=[#6]-2-[#6](-[#6](-[#6]-[#6]-1)(-[#6])-[#8])-[#8])(-[#6])-[#6])-[#8]',
            '9,10-dihydroxy-delta-6a(10a)-tetrahydrocannabinol': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](-[#8]):[#6]2:[#6](-[#8]-[#6](-[#6])(-[#6])-[#6]3=[#6]-2-[#6](-[#8])-[#6](-[#6])(-[#8])-[#6]-[#6]-3):[#6]:1',
            '10-ethoxy-9-hydroxy-delta-6a(10a)-tetrahydrocannabinol': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](-[#8]):[#6]2:[#6](-[#8]-[#6](-[#6])(-[#6])-[#6]3=[#6]-2-[#6](-[#8]-[#6]-[#6])-[#6](-[#6])(-[#8])-[#6]-[#6]-3):[#6]:1',
            '8,9-dihydroxy-delta-6a(10a)-tetrahydrocannabinol': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](-[#8]):[#6]2:[#6](-[#8]-[#6](-[#6])(-[#6])-[#6]3=[#6]-2-[#6]-[#6](-[#6])(-[#8])-[#6](-[#8])-[#6]-3):[#6]:1',
            'cannabidiolic acid ': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2:[#6](:[#6]:1)-[#8]-[#6](-[#6]1=[#6]-2-[#6](-[#6](-[#6](-[#6]-1)-[#8]-[#6](=[#8])-[#6]1:[#6](:[#6](:[#6](:[#6]:[#6]:1-[#6]-[#6]-[#6]-[#6]-[#6])-[#8])-[#6]1-[#6]=[#6](-[#6]-[#6]-[#6]-1-[#6](=[#6])-[#6])-[#6])-[#8])-[#6])-[#8])(-[#6])-[#6])-[#8]',
            'dehydrocannabifuran': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2:[#6](:[#6]:1):[#8]:[#6]1:[#6](:[#6]:[#6]:[#6](:[#6]:2:1)-[#6](=[#6])-[#6])-[#6])-[#8]',
            'cannabifuran': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2:[#6](:[#6]:1):[#8]:[#6]1:[#6](:[#6]:[#6]:[#6](:[#6]:2:1)-[#6](-[#6])-[#6])-[#6])-[#8]',
            'cannabichromanon': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2:[#6](:[#6]:1)-[#8]-[#6](-[#6](-[#6]-2=[#8])-[#6]-[#6]-[#6](=[#8])-[#6])(-[#6])-[#6])-[#8]',
            'cannabicitran': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6]2:[#6]3-[#6]4-[#6]-[#6](-[#6]-[#6]-[#6]-4-[#6](-[#8]-2)(-[#6])-[#6])(-[#8]-[#6]:3:[#6]:1)-[#6]',
            '10-oxo-delta-6a(10a)-tetrahydrocannabinol': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](-[#8]):[#6]2:[#6](-[#8]-[#6](-[#6])(-[#6])-[#6]3=[#6]-2-[#6](=[#8])-[#6](-[#6])-[#6]-[#6]-3):[#6]:1',
            '3,4,5,6-tetrahydro-7-hydroxy-a,a,2-trimethyl-9-n-propyl-2,6-methano-2h-1-benzoxocin-5-methanol': '[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2-[#6]3-[#6]-[#6](-[#6]-[#6]-[#6]-3-[#6](-[#6])(-[#6])-[#8])(-[#8]-[#6]:2:[#6]:1)-[#6])-[#8]',
            '6ar,9s,10s,10ar-9,10-dihydroxyhexahydro-cannabinol_cannabiripsol': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2-[#6]3-[#6](-[#6]-[#6]-[#6](-[#6]-3-[#8])(-[#6])-[#8])-[#6](-[#8]-[#6]:2:[#6]:1)(-[#6])-[#6])-[#8]',
            'cannabigerol': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6](:[#6](:[#6]:1)-[#8])-[#6]/[#6]=[#6](\[#6])-[#6]-[#6]-[#6]=[#6](-[#6])-[#6])-[#8]',
            'cannabigerolic acid': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6](:[#6](:[#6]:1-[#6](=[#8])-[#8])-[#8])-[#6]/[#6]=[#6](\[#6])-[#6]-[#6]-[#6]=[#6](-[#6])-[#6])-[#8]',
            'cannabigerolic acid monomethylether': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6](:[#6](:[#6]:1-[#6](=[#8])-[#8])-[#8])-[#6]/[#6]=[#6](\[#6])-[#6]-[#6]-[#6]=[#6](-[#6])-[#6])-[#8]-[#6]',
            'cannabigerol monomethylester': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6](:[#6](:[#6]:1)-[#8])-[#6]/[#6]=[#6](\[#6])-[#6]-[#6]-[#6]=[#6](-[#6])-[#6])-[#8]-[#6]',
            'cannabigerovarin': '[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6](:[#6](:[#6]:1)-[#8])-[#6]/[#6]=[#6](\[#6])-[#6]-[#6]-[#6]=[#6](-[#6])-[#6])-[#8]',
            'cannabigerovarinic acid': '[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6](:[#6](:[#6]:1-[#6](=[#8])-[#8])-[#8])-[#6]/[#6]=[#6](\[#6])-[#6]-[#6]-[#6]=[#6](-[#6])-[#6])-[#8]',
            'anandamide': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]=[#6]-[#6]-[#6]=[#6]-[#6]-[#6]=[#6]-[#6]-[#6]=[#6]-[#6]-[#6]-[#6]-[#6](=[#8])-[#7]-[#6]-[#6]-[#8]',
            '2-arachidonoylglycerol': '[#6]-[#6]-[#6]-[#6]-[#6]-[#6]=[#6]-[#6]-[#6]=[#6]-[#6]-[#6]=[#6]-[#6]-[#6]=[#6]-[#6]-[#6]-[#6]-[#6](=[#8])-[#8]-[#6](-[#6]-[#8])-[#6]-[#8]',
            'cannabiglendol': '[#6]-[#6]-[#6]-[#6]1:[#6]:[#6](:[#6]2:[#6](:[#6]:1)-[#8]-[#6]1-[#6](-[#6]-[#6]-[#6](-[#6]-2-1)-[#6](-[#8])(-[#6])-[#6])-[#6])-[#8]',
        }

        return smarts